Loading...
Searching...
No Matches
JoystickDevice Struct Reference

Information about a joystick device. More...

`#include <src/app/app.h>`

## Public Attributes

int | index
| Device index (-1 = invalid device).
std::string | name
| Device name.
int | axisCount
| Number of axes (only available after joystick opened).
int | buttonCount
| Number of buttons (only available after joystick opened).

## Detailed Description

Information about a joystick device.

## Member Data Documentation

## index

int JoystickDevice::index

Device index (-1 = invalid device).

## name

std::string JoystickDevice::name

Device name.

## axisCount

int JoystickDevice::axisCount

Number of axes (only available after joystick opened).

## buttonCount

int JoystickDevice::buttonCount

Number of buttons (only available after joystick opened).

The documentation for this struct was generated from the following file:

- src/app/app.h